// JavaScript Document
  
	var xmlObjmsg = false;
	var xmlResultmsg;
	try {
	xmlObjmsg=new XMLHttpRequest;
	}
	catch(e) {
	try {
	xmlObjmsg=new ActiveXObject("MSXML2.XMLHTTP");
	}
	catch(e2) {
	try {
	xmlObjmsg=new ActiveXObject("Microsoft.XMLHTTP");
	}
	catch(e3) {
	xmlObjmsg=false;
	}
	}
	}
	if (!xmlObjmsg) {
	alert("XMLHttpRequest init Failed!");
	} 
 
 function AjaxSearchmsg() {
	 var msgid;
	var installurlmsg;
    var str=""; 
	var typemsg;
    msgid=document.getElementsByName("msgid");
	typemsg=document.getElementById("typemsg").value;
  for(var i=0;i<msgid.length;i++)
   {
 	str+=msgid[i].value;
	}
 str+=typemsg;
 
  installurlmsg=escape(document.getElementById("installurlmsg").value);
  xmlObjmsg.open("POST",installurlmsg,true);
  xmlObjmsg.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  xmlObjmsg.onreadystatechange=function() {
 if(xmlObjmsg.readyState==4) {
 if(xmlObjmsg.status==200) {
  xmlResultmsg=xmlObjmsg.responseXML;
   AjaxShowResultmsg();
	}
	}
	}
	xmlObjmsg.send("strs="+str);
   }
 function AjaxShowResultmsg() {
	 var results;
	 results=xmlResultmsg.getElementsByTagName("resultmsg");
	 var isok=2;
	 var divid=0;
	  isok=results[0].getElementsByTagName("logid")[0].firstChild.data;
	  divid=results[0].getElementsByTagName("logid")[1].firstChild.data;
	 var strdiv="";
     strdiv=divid.split(",");
  if(isok==0)
	{
 	for(var i=0;i<strdiv.length;i++)
 	{//document.getElementById("msgdiv"+strdiv[i]).style.display="";
		//document.getElementById("msgdiv"+strdiv[i]).innerHTML="lsdkjf";
		  document.getElementById("msgdiv"+strdiv[i]).style.display="none";
  	}
	 }
	else if(isok==1)
	{	
 	 for(var i=0;i<strdiv.length;i++)
	 {
		 document.getElementById("msgdiv"+strdiv[i]).style.display="";
 	 }
	}
	else
	{
	  for(var i=0;i<strdiv.length;i++)
	 {//document.getElementById("msgdiv"+strdiv[i]).style.display=""; 
	// document.getElementById("msgdiv"+strdiv[i]).innerHTML="fdhdsfgfd";
		 
		  document.getElementById("msgdiv"+strdiv[i]).style.display="none";
	  }
	  }
	}